Page 1 of 1

Help request

Posted: Sun Oct 04, 2020 4:03 pm
by Salvatore Besso
hello all,

I actually have CATraxx installed on four computers in my local network. Two of them are Windows 10 Pro with the latest 9.52 version, but the other two, for various reasons, are still Windows XP SP3 still running CATraxx 9.50. Just few minutes ago I decided to update to the latest version, but I got an error from the installer that says:

This file is not a valid 32 bit application

Aaaaaaaaaaargh! I suspect that the latest installer has been compiled as a 64 bit application, so the help request is very simple:

Has anyone on this forum kept the 9.50 installer? Unfortunately, when I download new versions I have the habit to throw away the old ones...

You could also try by yourself on a 32 bit operating system if the 9.52 installer behaves so.

Or better, if someone is still in contact with the author, could inform him about this problem.

Thank you!

Re: Help request

Posted: Sun Oct 04, 2020 5:25 pm
by ustoexx
Hi Salvatore,

CATraxx is definitively a 32-bit application, and so is the installer file.
Maybe your download file is damaged - I recommend to download it again from the CATraxx-site.

Ciao
Uwe

Re: Help request

Posted: Sun Oct 04, 2020 7:32 pm
by Salvatore Besso
Uwe,

the actual 9.52 installer works perfectly, but only on 64 bit operating systems. Thinking it could be corrupted, I have downloaded it again. No change. The installer seems to be definitely compiled badly.

Re: Help request

Posted: Mon Oct 05, 2020 6:59 am
by Alex Ivanovich
Hi Salvatore (italian?) ;)

it is strange that 9.52 does not work for you, as ustoexx also specified the FNPrg programs are all 32-bit

this is the official version

CATraxx 9.50 - May 5, 2018

https://yadi.sk/d/dCZD0zPKWqd3QA

Re: Help request

Posted: Mon Oct 05, 2020 8:40 am
by Salvatore Besso
hello Alex,

yes, I'm from Italy.

Maybe I haven't explained myself very well: I know that CATraxx is a 32 bit application. It's the 9.52 installer to be broken, not the program itself! I have installed 9.52 on Windows 10 x64 machines and the installer (and program) works as it should. It's the 9.52 installer that doesn't work in x86 environments. On the other hand, the error message when running the 9.52 installer in a Windows XP SP3 x86 environment is more than clear:

catraxx_setup.exe: This is not a valid 32 bit application

There are no doubts: this is a typical message that pops out trying to run a 64 bit application in a 32 bit environment; on the other hand, as already written above, the installer works perfectly in x64 environments.

I would inform the author, but I don't know how.

Thank you for the link.

Re: Help request

Posted: Mon Oct 05, 2020 10:47 am
by Cally
Hello Salvatore,

did you try to contact
support@fnprg.com ?

Greets from germany
Martin

Re: Help request

Posted: Mon Oct 05, 2020 10:54 am
by Salvatore Besso
Martin,

thank you, I'll try.

Re: Help request

Posted: Mon Oct 05, 2020 11:10 am
by Salvatore Besso
just sent a message to Fredrik. Let's see what will happen.

Re: Help request

Posted: Sun Oct 11, 2020 12:32 pm
by Salvatore Besso
hello all,

I've had an exchange of e-mails with Fredrik and finally the problem has been discovered but not resolved:

Starting from version 6.0, Windows 2000, XP, and Server 2003 are no longer supported in the installer software (information taken from Inno Setup web page).

The latest version of Inno Setup supporting Windows XP is 5.61.

If you still have an XP machine, you can verify this installing 9.52. But anyway, the error message seems wrong to me, because the installer is a 32 bit application and it is valid. Rather I would have expected something like:

Your operating system is no longer supported. Installation aborted

The only solution is to substitute the two executables and the various DLLs in the XP installation getting them from another setup on a Vista and up machine.

Re: Help request

Posted: Sun Oct 11, 2020 2:23 pm
by DougWilliams
Thank you, Salvatore Besso and Fredrik for finding a "solution" and letting us know.